Name:          ilmbase
Summary:       "Half" precision HDR file format libraries for OpenEXR
Version:       2.2.0
Release:       16
License:       BSD
URL:           http://www.openexr.com/
Source0:       http://download.savannah.nongnu.org/releases/openexr/ilmbase-%{version}.tar.gz
BuildRequires: gcc-c++ pkgconfig pkgconfig(gl) pkgconfig(glu)

# This workaroud patch should no longer be used with glibc-2.24.90-12.fc26 or later version,see:
# https://bugzilla.redhat.com/show_bug.cgi?id=1383552
# Patch0002:     ilmbase-2.2.0-glibc_iszero.patch

%description
Half is a C++ class that encapsulates the ilm 16-bit floating-point format.
IlmThread is a thread abstraction library for OpenEXR and other software packages.
Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions and other
useful math functions. Iex is a library for handling exception of ilmbase.

%package       devel
Summary:       Headers and libraries for building apps that use ilmbase
Requires:      %{name} = %{version}-%{release}
%description   devel
This package contains headers and libraries for developing apps that use ilmbase.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build PTHREAD_LIBS="-pthread -lpthread"

%install
%make_install
%delete_la

%check
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion IlmBase)" = "%{version}"
%ifarch %{ix86}
%make_build check -k ||:
%else
%make_build check
%endif

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/lib*.so.12*

%files         devel
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/IlmBase.pc

%changelog
* Tue Feb 18 2020 xuxijian<xuxijian@huawei.com> - 2.2.0-16
- Package init
